# Trls_IntersectTaxRegion

Find Tax Region by coordinates.

`POST /tax-regions/$lookup-by-coordinates`

**API:** Avalara Tax Content - Tax Region Lookup Service
**Tag:** Trls
**API Version:** 1.0.0
**Base URL:** https://rest.content.avalara.com
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header) or API Key (`x-correlation-id` in header) or API Key (`x-avalara-client` in header)

Source: https://developer.avalara.com/products/avalara-tax-content/api/trls/methods/Trls/Trls_IntersectTaxRegion/

## Description

Retrieve Tax Region data for the specified latitude/longitude pairs.
Maximum of 1000 tax regions can be requested in a single request.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `avalara-version` | string | header | No |  |

## Request Body

**Content-Type:** `application/json`

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK |  |
| 400 | Bad Request | `Error400` |
| 401 | Unauthorized | `Error401` |

## Example Request

```bash
curl -X POST "https://rest.content.avalara.com/tax-regions/$lookup-by-coordinates" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json" \
  -d '[
  {
    "id": "12345",
    "coordinates": {
      "latitude": 47.597908331164604,
      "longitude": -122.33083478651336
    },
    "date": "2022-03-01T00:00:00",
    "radius": ""
  }
]'
```